## libfreeaptx 0.1.1

=== Makefile ===
.POSIX:
.SUFFIXES:
.PHONY: default all clean install uninstall

RM = rm -f
CP = cp -a
LNS = ln -sf
MKDIR = mkdir -p
PRINTF = printf

CFLAGS = -W -Wall -O3
LDFLAGS = -s
ARFLAGS = -rcs

PREFIX = /usr/local
BINDIR = bin
LIBDIR = lib
INCDIR = include
PKGDIR = $(LIBDIR)/pkgconfig

NAME = freeaptx
MAJOR = 0
MINOR = 1
PATCH = 1

LIBNAME = lib$(NAME).so
SONAME = $(LIBNAME).$(MAJOR)
SOFILENAME = $(SONAME).$(MINOR).$(PATCH)
PCNAME = lib$(NAME).pc

UTILITIES = $(NAME)enc $(NAME)dec
STATIC_UTILITIES = $(NAME)enc.static $(NAME)dec.static

HEADERS = $(NAME).h
SOURCES = $(NAME).c
AOBJECTS = $(NAME).o
IOBJECTS = $(NAME)enc.o $(NAME)dec.o

BUILD = $(SOFILENAME) $(SONAME) $(LIBNAME) $(IOBJECTS) $(UTILITIES)

default: $(SOFILENAME) $(SONAME) $(LIBNAME) $(UTILITIES) $(HEADERS)

all: $(BUILD)

clean:
	$(RM) $(BUILD)

install: default
	$(MKDIR) $(DESTDIR)$(PREFIX)/$(LIBDIR)
	$(CP) $(SOFILENAME) $(SONAME) $(LIBNAME) $(DESTDIR)$(PREFIX)/$(LIBDIR)
	$(MKDIR) $(DESTDIR)$(PREFIX)/$(BINDIR)
	$(CP) $(UTILITIES) $(DESTDIR)$(PREFIX)/$(BINDIR)
	$(MKDIR) $(DESTDIR)$(PREFIX)/$(INCDIR)
	$(CP) $(HEADERS) $(DESTDIR)$(PREFIX)/$(INCDIR)
	$(MKDIR) $(DESTDIR)$(PREFIX)/$(PKGDIR)
	$(PRINTF) 'prefix=%s\nexec_prefix=$${prefix}\nlibdir=$${exec_prefix}/%s\nincludedir=$${prefix}/%s\n\n' $(PREFIX) $(LIBDIR) $(INCDIR) > $(DESTDIR)$(PREFIX)/$(PKGDIR)/$(PCNAME)
	$(PRINTF) 'Name: lib%s\nDescription: Open Source aptX codec library\nVersion: %u.%u.%u\n' $(NAME) $(MAJOR) $(MINOR) $(PATCH) >> $(DESTDIR)$(PREFIX)/$(PKGDIR)/$(PCNAME)
	$(PRINTF) 'Libs: -L$${libdir} -l%s\nCflags: -I$${includedir}\n' $(NAME) >> $(DESTDIR)$(PREFIX)/$(PKGDIR)/$(PCNAME)

uninstall:
	for f in $(SOFILENAME) $(SONAME) $(LIBNAME); do $(RM) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$$f; done
	for f in $(UTILITIES); do $(RM) $(DESTDIR)$(PREFIX)/$(BINDIR)/$$f; done
	for f in $(HEADERS); do $(RM) $(DESTDIR)$(PREFIX)/$(INCDIR)/$$f; done
	$(RM) $(DESTDIR)$(PREFIX)/$(PKGDIR)/$(PCNAME)

$(UTILITIES): $(LIBNAME)

$(IOBJECTS): $(HEADERS)

$(LIBNAME): $(SONAME)
	$(LNS) $(SONAME) $@

$(SONAME): $(SOFILENAME)
	$(LNS) $(SOFILENAME) $@

$(SOFILENAME): $(SOURCES) $(HEADERS)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -I. -shared -fPIC -Wl,-soname,$(SONAME) -o $@ $(SOURCES)

.SUFFIXES: .o .c .static

.o:
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBNAME)

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -I. -c -o $@ $<

=== debian/changelog ===
libfreeaptx (0.1.1-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Oct 2022 15:38:37 -0700

libfreeaptx (0.1.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 15 Sep 2022 15:37:35 +0200

libfreeaptx (0.1.1-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/tests:
    - include build, encore and decode autopkgtests (Closes: #1011352)

 -- Kentaro Hayashi <kenhys@xdump.org>  Wed, 25 May 2022 10:15:48 +0900

libfreeaptx (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #995607)

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 17 Dec 2021 20:05:02 +0900

=== debian/control ===
Source: libfreeaptx
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Kentaro Hayashi <kenhys@xdump.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Section: libs
Homepage: https://github.com/iamthehorker/libfreeaptx
Vcs-Browser: https://salsa.debian.org/debian/libfreeaptx
Vcs-Git: https://salsa.debian.org/debian/libfreeaptx.git
Rules-Requires-Root: no

Package: libfreeaptx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libfreeaptx0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for Free implementation of aptX
 libfreeaptx is based on version 0.2.0 of libopenaptx with the intent of
 continuing under a free license without the additional license restriction
 added to libopenaptx 0.2.1.
 .
 This package contains development files for libfreeaptx.

Package: libfreeaptx0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Free implementation of aptX
 libfreeaptx is based on version 0.2.0 of libopenaptx with the intent of
 continuing under a free license without the additional license restriction
 added to libopenaptx 0.2.1.
 .
 The initial version of libfreeaptx was reset to 0.1.0 to prevent confusion
 between the two projects.

Package: freeaptx-utils
Architecture: any
Multi-Arch: no
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utility tools for Free implementation of aptX
 libfreeaptx is based on version 0.2.0 of libopenaptx with the intent of
 continuing under a free license without the additional license restriction
 added to libopenaptx 0.2.1.
 .
 This package contains utility tools such as freeaptxdec and freeaptxenc.

=== debian/tests/control ===
Tests: build
Depends: build-essential, libfreeaptx-dev, pkg-config
Restrictions: allow-stderr superficial

Test-Command: sox /usr/share/sounds/alsa/Noise.wav -t raw -r 44.1k -L -e s -b 24 -c 2 - | freeaptxenc > $AUTOPKGTEST_TMP/sample.aptx; freeaptxdec < $AUTOPKGTEST_TMP/sample.aptx | sox -t raw -r 44.1k -L -e s -b 24 -c 2 - $AUTOPKGTEST_TMP/sample.wav
Depends: alsa-utils, freeaptx-utils, sox
Features: test-name=encore_decode

Test-Command: sox /usr/share/sounds/alsa/Noise.wav -t raw -r 44.1k -L -e s -b 24 -c 2 - | freeaptxenc --hd > $AUTOPKGTEST_TMP/sample.aptx; freeaptxdec --hd < $AUTOPKGTEST_TMP/sample.aptx | sox -t raw -r 44.1k -L -e s -b 24 -c 2 - $AUTOPKGTEST_TMP/sample.wav
Depends: alsa-utils, freeaptx-utils, sox
Features: test-name=encore_decode_hd

## libfreeaptx 0.2.2

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 NAME = freeaptx
 MAJOR = 0
-MINOR = 1
-PATCH = 1
+MINOR = 2
+PATCH = 2
 
 LIBNAME = lib$(NAME).so
 SONAME = $(LIBNAME).$(MAJOR)

=== debian/changelog ===
libfreeaptx (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2
  * d/control
    - Bump Standards-Version to 4.7.2. No changes are required.

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 06 Mar 2025 22:30:35 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libfreeaptx
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Kentaro Hayashi <kenhys@xdump.org>
+Maintainer: Kentaro Hayashi <kenhys@xdump.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/iamthehorker/libfreeaptx
 Vcs-Browser: https://salsa.debian.org/debian/libfreeaptx
@@ -14,7 +13,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libfreeaptx0 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libfreeaptx0 (= ${binary:Version}),
+ ${misc:Depends}
 Description: Development files for Free implementation of aptX
  libfreeaptx is based on version 0.2.0 of libopenaptx with the intent of
  continuing under a free license without the additional license restriction
@@ -25,7 +26,9 @@
 Package: libfreeaptx0
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: Free implementation of aptX
  libfreeaptx is based on version 0.2.0 of libopenaptx with the intent of
  continuing under a free license without the additional license restriction
@@ -38,7 +41,9 @@
 Architecture: any
 Multi-Arch: no
 Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: Utility tools for Free implementation of aptX
  libfreeaptx is based on version 0.2.0 of libopenaptx with the intent of
  continuing under a free license without the additional license restriction

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr LIBDIR=lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libfreeaptx-$1\.tar\.gz/ \
  https://github.com/iamthehorker/libfreeaptx/tags .*/v?(\d\S+)@ARCHIVE_EXT@
